#ifndef YamlWriter_h
#define YamlWriter_h

#include <yaml-cpp/yaml.h>
#include "TH1F.h"
#include "TList.h"

class YamlWriter
{
  private:
   YAML::Emitter emitter;
  public:
   YamlWriter():emitter(){};
   void writeHistogram(TH1F*);
   void writeHistograms(TList*);
   void prettyPrint();
   const char* getJson();
};

#endif


